import { type Readable, type Updater } from 'svelte/store';
import type { z } from 'zod';
export declare class ZodFieldStore<K extends keyof O, A extends z.ZodRawShape, O = A> {
    name: K;
    value: Readable<O[K]>;
    touched: Readable<boolean>;
    dirty: Readable<boolean>;
    error: Readable<string>;
    valid: Readable<boolean>;
    handleUpdate: (updater: Updater<O[K]>) => void;
    handleChange: (e: unknown) => void;
    handleBlur: () => void;
    reset: () => void;
    setError: (e: string) => void;
    setTouched: (v: boolean) => void;
    constructor(parentSchema: z.ZodObject<A, z.UnknownKeysParam, z.ZodTypeAny, O>, name: K, initialValue?: unknown, ms?: number);
}
